# Class `signals`

Handling of signals.

This can not be used as a standalone class, but is instead referenced explicitely in the classes, where it can be used. In the respective classes, it then can be used via `classname:connect_signal(...)` etc.

## Methods

signals:connect_signal (name, func) | Add a signal.
signals:disconnect_signal (name, func) | Remove a signal.
signals:emit_signal (name[, ...]) | Emit a signal.

## Methods

signals:connect_signal (name, func)
  Add a signal.
  - name string A signal name.
  - func func A function to call when the signal is emitted.
signals:disconnect_signal (name, func)
  Remove a signal.
  - name string A signal name.
  - func func A function to remove.
signals:emit_signal (name[, ...])
  Emit a signal.
  - name string A signal name.
  - ... Various arguments. (optional)

generated by LDoc 1.4.6 Last updated 2017-01-20 01:17:18